Redmine - Feature #8562

Watchers list too big in new issue form
2011-06-08 12:59 - Terence Mill

Status: Closed Start date: 2011-06-08
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 25.0

Resolution: Fixed

Description

We face the problem that we have many project members with the right to add watchers.
In the new issue form, we get a very big checkbox list of possible watchers.
It would be better to have a more compact view on this selection,

e.g.

* role bases filters
¢ java script drop down (only drop down watchers list if you wanna add a watcher, but not default on open new issue form
e combobox with name search and name auto completion which filters scrollable drop checkbox list for entered user name

Related issues:

Related to Redmine - Patch #15833: Watchers checkboxes are now being hidden b... Closed
Related to Redmine - Feature #24934: New issue watch list limit isn't configu... New
Related to Redmine - Feature #24940: New issue : Hide watchers into a spoiler New
Related to Redmine - Feature #34556: Setting to change the max. no. of member... New
Has duplicate Redmine - Feature #14339: Shortened issue watcher Closed
Has duplicate Redmine - Defect #15548: Watchers list on new issue is intermin... Closed

Associated revisions

Revision 12673 - 2014-01-19 11:01 - Jean-Philippe Lang

Don't display default watchers checkboxes on the new issue form when there are more than 20 members (#8562).

History

#1 - 2012-01-17 13:15 - Glenn Gould
See similar discussion at http://www.redmine.org/boards/2/topics/27720?r=27774#message-27774

Especially role based filtes would be very helpfull in this list.
#2 - 2012-01-17 13:23 - Terence Mill
There is a plugin whoch supports add watchers via combox after an issue is created.

redmine_boards_watchers

#3 - 2014-01-19 11:02 - Jean-Philippe Lang

- Subject changed from watchers list to big in new issue form to Watchers list too big in new issue form
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Fixed in r12673. The default checkbox are not displayed if there are more than 20 members and you'll have to use the seacrh windows to add
watchers.

#4 - 2014-01-19 11:03 - Jean-Philippe Lang
- Has duplicate Feature #14339: Shortened issue watcher added
http://www.redmine.org/boards/2/topics/27720?r=27774#message-27774
https://github.com/previousnext/redmine_boards_watchers
https://www.redmine.org/projects/redmine/repository/svn/revisions/12673

#5 - 2014-01-31 08:18 - Toshi MARUYAMA
- Related to Patch #15833: Watchers checkboxes are now being hidden by default added

#6 - 2014-01-31 15:58 - Lukas Zapletal

Excellent, thanks. This was a bummer!

#7 - 2016-03-24 01:51 - Go MAEDA

- Has duplicate Defect #15548: Watchers list on new issue is interminable added

#8 - 2017-01-30 02:00 - Go MAEDA

- Related to Feature #24934: New issue watch list limit isn't configurable added

#9 - 2021-01-05 09:03 - Go MAEDA

- Related to Feature #24940: New issue : Hide watchers into a spoiler added

#10 - 2021-01-05 10:45 - Go MAEDA

- Related to Feature #34556: Setting to change the max. no. of members to propose as watcher on the new issue form added
